## crccheck 1.3.0

=== Makefile ===
###################################################################################################
# License:
#  MIT License
#
#  Copyright (c) 2015-2022 by Martin Scharrer <martin.scharrer@web.de>
#
#  Permission is hereby granted, free of charge, to any person obtaining a copy of this software
#  and associated documentation files (the "Software"), to deal in the Software without
#  restriction, including without limitation the rights to use, copy, modify, merge, publish,
#  distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the
#  Software is furnished to do so, subject to the following conditions:
#
#  The above copyright notice and this permission notice shall be included in all copies or
#  substantial portions of the Software.
#
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
#  BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
#  NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
#  DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
#  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#
###################################################################################################

.PHONY: all test Install plugins dist clean doc release

all: test

test:
	@echo ""; echo "Running tests:"
	@python -m coverage run --branch -m unittest discover
	@python -m coverage report
	@python -m coverage html

coverage: test

dist:
	@python setup.py test sdist bdist_wheel


clean:
	@${RM} -rf dist bdist build */__pycache__ */*.pyc *.egg-info coverage_html_report


doc:
	@echo ""; echo "Extracting documentation:"
	@cd docs/; export PYTHONPATH=..; python ../create/crctable.py > source/crctable.rst
	@cd docs/; sphinx-apidoc -f -o source ../crccheck
	@cd docs/; sphinx-build -b html source build


update:
	@test -z "$$(git status --porcelain crccheck/crc.py)" || (echo "crccheck/crc.py has uncommitted changes. Aborting!" && exit 1)
	@cd create/; python dl.py > ../crccheck/crc.py
	@test -z "$$(git status --porcelain crccheck/crc.py)" || echo "crccheck/crc.py has been updated."


release: clean test doc dist

## crccheck 1.0

=== debian/changelog ===
crccheck (1.0-3) unstable; urgency=medium

  * Re-upload to unstable, using the right version from experimental, to fix
    a mistake in the last upload.

 -- Marcos Talau <marcos@talau.info>  Sun, 12 Dec 2021 14:02:29 -0300

crccheck (1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Marcos Talau <marcos@talau.info>  Sun, 12 Dec 2021 00:07:30 -0300

crccheck (1.0-1) experimental; urgency=medium

  [ Marcos Talau ]
  * Initial release (Closes: #998614).

  [ Helmut Grohne ]
  * debian/docs
  * debian/source/*

 -- Marcos Talau <marcos@talau.info>  Tue, 07 Dec 2021 22:47:24 -0300

=== debian/control ===
Source: crccheck
Section: python
Priority: optional
Maintainer: Marcos Talau <marcos@talau.info>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-nose,
               python3-setuptools
Standards-Version: 4.6.0
Homepage: https://sourceforge.net/projects/crccheck
Vcs-Browser: https://salsa.debian.org/debian/crccheck
Vcs-Git: https://salsa.debian.org/debian/crccheck.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-crccheck
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: implementation of 170+ CRC algorithms for Python 3
 crccheck is a Python library that implements more than 170 CRC algorithms
 used in various applications. CRC and checksum calculations are made from
 binary data.
 .
 This package contains the Python 3 version of the library.
 .
 crccheck implements all CRCs listed below.
 .
   CRC-3/GSM, CRC-3/ROHC, CRC-4/G-704, CRC-4/ITU, CRC-4/INTERLAKEN,
   CRC-5/EPC-C1G2, CRC-5/EPC, CRC-5/G-704, CRC-5/ITU, CRC-5/USB,
   CRC-6/CDMA2000-A, CRC-6/CDMA2000-B, CRC-6/DARC, CRC-6/G-704,
   CRC-6/ITU, CRC-6/GSM, CRC-7/MMC, CRC-7, CRC-7/ROHC, CRC-7/UMTS,
   CRC-8/AUTOSAR, CRC-8/BLUETOOTH, CRC-8/CDMA2000, CRC-8/DARC,
   CRC-8/DVB-S2, CRC-8/GSM-A, CRC-8/GSM-B, CRC-8/I-432-1, CRC-8/ITU,
   CRC-8/I-CODE, CRC-8/LTE, CRC-8/MAXIM-DOW, CRC-8/MAXIM, DOW-CRC,
   CRC-8/MIFARE-MAD, CRC-8/NRSC-5, CRC-8/OPENSAFETY, CRC-8/ROHC,
   CRC-8/SAE-J1850, CRC-8/SMBUS, CRC-8, CRC-8/TECH-3250, CRC-8/AES,
   CRC-8/EBU, CRC-8/WCDMA, CRC-10/ATM, CRC-10, CRC-10/I-610,
   CRC-10/CDMA2000, CRC-10/GSM, CRC-11/FLEXRAY, CRC-11, CRC-11/UMTS,
   CRC-12/CDMA2000, CRC-12/DECT, CRC-12-X, CRC-12/GSM, CRC-12/UMTS,
   CRC-12/3GPP, CRC-13/BBC, CRC-14/DARC, CRC-14/GSM, CRC-15/CAN,
   CRC-15, CRC-15/MPT1327, CRC-16/ARC, ARC, CRC-16/LHA, CRC-IBM,
   CRC-16/CDMA2000, CRC-16/CMS, CRC-16/DDS-110, CRC-16/DECT-R,
   R-CRC-16, CRC-16/DECT-X, X-CRC-16, CRC-16/DNP, CRC-16/EN-13757,
   CRC-16/GENIBUS, CRC-16/DARC, CRC-16/EPC, CRC-16/EPC-C1G2,
   CRC-16/I-CODE, CRC-16/GSM, CRC-16/IBM-3740, CRC-16/AUTOSAR,
   CRC-16/CCITT-FALSE, CRC-16/IBM-SDLC, CRC-16/ISO-HDLC,
   CRC-16/ISO-IEC-14443-3-B, CRC-16/X-25, CRC-B, X-25,
   CRC-16/ISO-IEC-14443-3-A, CRC-A, CRC-16/KERMIT, CRC-16/CCITT,
   CRC-16/CCITT-TRUE, CRC-16/V-41-LSB, CRC-CCITT, KERMIT, CRC-16/LJ1200,
   CRC-16/MAXIM-DOW, CRC-16/MAXIM, CRC-16/MCRF4XX, CRC-16/MODBUS, MODBUS,
   CRC-16/NRSC-5, CRC-16/OPENSAFETY-A, CRC-16/OPENSAFETY-B, CRC-16/PROFIBUS,
   CRC-16/IEC-61158-2, CRC-16/RIELLO, CRC-16/SPI-FUJITSU, CRC-16/AUG-CCITT,
   CRC-16/T10-DIF, CRC-16/TELEDISK, CRC-16/TMS37157, CRC-16/UMTS,
   CRC-16/BUYPASS, CRC-16/VERIFONE, CRC-16/USB, CRC-16/XMODEM, CRC-16/ACORN,
   CRC-16/LTE, CRC-16/V-41-MSB, XMODEM, ZMODEM, CRC-17/CAN-FD, CRC-21/CAN-FD,
   CRC-24/BLE, CRC-24/FLEXRAY-A, CRC-24/FLEXRAY-B, CRC-24/INTERLAKEN,
   CRC-24/LTE-A, CRC-24/LTE-B, CRC-24/OPENPGP, CRC-24, CRC-24/OS-9,
   CRC-30/CDMA, CRC-31/PHILIPS, CRC-32/AIXM, CRC-32Q, CRC-32/AUTOSAR,
   CRC-32/BASE91-D, CRC-32D, CRC-32/BZIP2, CRC-32/AAL5, CRC-32/DECT-B,
   B-CRC-32, CRC-32/CD-ROM-EDC, CRC-32/CKSUM, CKSUM, CRC-32/POSIX,
   CRC-32/ISCSI, CRC-32/BASE91-C, CRC-32/CASTAGNOLI, CRC-32/INTERLAKEN,
   CRC-32C, CRC-32/ISO-HDLC, CRC-32, CRC-32/ADCCP, CRC-32/V-42, CRC-32/XZ,
   PKZIP, CRC-32/JAMCRC, JAMCRC, CRC-32/MPEG-2, CRC-32/XFER, XFER, CRC-40/GSM,
   CRC-64/ECMA-182, CRC-64, CRC-64/GO-ISO, CRC-64/WE, CRC-64/XZ,
   CRC-64/GO-ECMA, CRC-82/DARC.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=crccheck

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: validation

## crccheck 1.3.0

=== debian/changelog ===
crccheck (1.3.0-1) unstable; urgency=medium

  * New upstream version "1.3.0".
  * Change upstream URLs from SourceForge to GitHub.
  * debian/control: Bump Standards-Version to "4.6.2".
  * debian/copyright:
    - Change licence of Upstream and Packaging from GPL-3+ to MIT.
    - Update copyright years.
  * debian/patches/01_nose_to_unittest.patch: Remove, upstream are using it.

 -- Marcos Talau <talau@debian.org>  Wed, 06 Sep 2023 01:58:30 +0530

crccheck (1.0-5) unstable; urgency=medium

  * Update Maintainer mail.
  * Migration of tests from nose to unittest. Consequently:
    - debian/control: Remove python3-nose from Build-Depends.
    - debian/patches/01_nose_to_unittest.patch: New. Patch to migrate.
    - Closes: #1018331.

 -- Marcos Talau <talau@debian.org>  Mon, 12 Sep 2022 13:04:15 -0300

crccheck (1.0-4) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.6.1, no changes.
  * debian/copyright: Update packaging copyright years.

 -- Marcos Talau <marcos@talau.info>  Fri, 10 Jun 2022 16:03:06 -0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: crccheck
 Section: python
 Priority: optional
-Maintainer: Marcos Talau <marcos@talau.info>
+Maintainer: Marcos Talau <talau@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-nose,
                python3-setuptools
-Standards-Version: 4.6.0
-Homepage: https://sourceforge.net/projects/crccheck
+Standards-Version: 4.6.2
+Homepage: https://github.com/MartinScharrer/crccheck
 Vcs-Browser: https://salsa.debian.org/debian/crccheck
 Vcs-Git: https://salsa.debian.org/debian/crccheck.git
 Testsuite: autopkgtest-pkg-python

=== debian/watch ===
version=4
https://github.com/MartinScharrer/@PACKAGE@/tags .*/tags/v?@ANY_VERSION@@ARCHIVE_EXT@
